Subject: bug#30896: closed (Re: bug#30896: Guix pull problems on armhf)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 24 Nov 2021 23:59:03 +0000

Your bug report

#30896: Guix pull problems on armhf

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30896: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=30896
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30896: Guix pull problems on armhf
From: zimoun <[email-masked]>
To: Jelle Licht <[email-masked]>
Cc: [email-masked]
Date: Thu, 25 Nov 2021 00:54:26 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Wed, 21 Mar 2018 at 20:59, Jelle Licht <[email-masked]> wrote:
> I have been running the binary Guix installation on top of Armbian on my
> Rockchip RK3288 (armhf) based computing platform.
>
> Up till about ~8 days ago, guix pull worked as intended. Recently,
> running guix pull leads to the following error message
> `./guix/build/pull.scm:44:20: ./guix/build/pull.scm:44:20: Throw to key
> `match-error' with args `("match" "no matching pattern"' [1]
>
>
> I already checked that re{moving,naming} `$HOME/.config/guix/latest'
> does not change anything. Neither does running `./pre-inst-env guix
> pull' from a git checkout.
>
> [1]: For the full log, see: https://paste.debian.net/1015219/
>
> --
> Jelle Licht

The bug had been tagged moreinfo on 12 Oct 2021 (6 weeks, 1 day).
Therefore, I assume it is not an issue anymore so I am closing.

Cheers,
simon

<http://issues.guix.gnu.org/issue/30896>

Subject: Guix pull problems on armhf
From: Jelle Licht <[email-masked]>
To: [email-masked]
Date: Wed, 21 Mar 2018 20:59:01 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I have been running the binary Guix installation on top of Armbian 
on my
Rockchip RK3288 (armhf) based computing platform.

Up till about ~8 days ago, guix pull worked as intended. Recently,
running guix pull leads to the following error message
`./guix/build/pull.scm:44:20: ./guix/build/pull.scm:44:20: Throw 
to key
`match-error' with args `("match" "no matching pattern"' [1]

I already checked that re{moving,naming} 
`$HOME/.config/guix/latest'
does not change anything. Neither does running `./pre-inst-env 
guix
pull' from a git checkout.

[1]: For the full log, see: https://paste.debian.net/1015219/

--
Jelle Licht